<?php
$this->document->addStyleSheet(JURI::base(true).'/components/com_xmovie/css/video-js.css');
$this->document->addScript(JURI::base().'/components/com_xmovie/js/vjs/video.js');
$this->document->addScript(JURI::base().'/components/com_xmovie/js/vjs/Youtube.min.js');
$this->document->addStyleDeclaration('
  .vjs-control-bar {
    display: none !important;
  }
');
?>
<video
  id="xmovie-youtube"
  class="video-js vjs-default-skin vjs-big-play-centered"
  controls
  width="<?php echo $this->size['width']; ?>" height="<?php echo $this->size['height']; ?>"
  data-setup='{ "techOrder": ["youtube"], "sources": [{ "type": "video/youtube", "src": "<?php echo $this->videoLink; ?>"}], "youtube": { "iv_load_policy": 1,  "ytControls": 1 } }'
>
</video>